import { type EventEmitter } from "../../stencil-public-runtime";
export declare class IfxTab {
    el: HTMLIfxTabElement;
    readonly header: string;
    readonly disabled: boolean;
    readonly icon: string;
    readonly iconPosition: "left" | "right";
    tabHeaderChange: EventEmitter;
    componentWillUpdate(): void;
    render(): any;
}
